[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Orgmode] Re: ditaa set-up on windows box

From: Sebastian Rose
Subject: Re: [Orgmode] Re: ditaa set-up on windows box
Date: Mon, 27 Sep 2010 23:04:37 +0200
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)

Markus Heller <address@hidden> writes:
> Sebastian Rose <address@hidden> writes:
>> Markus Heller <address@hidden> writes:
>>> C:\Documents and Settings\mheller>java -jar C:\Documents and 
>>> Settings\mheller\.e
>>> macs.d\org-mode\contrib\scripts\ditaa.jar --help
>>> Exception in thread "main" java.util.zip.ZipException: The system cannot 
>>> find th
>>> e file specified
>>>         at java.util.zip.ZipFile.open(Native Method)
>>>         at java.util.zip.ZipFile.<init>(Unknown Source)
>>>         at java.util.jar.JarFile.<init>(Unknown Source)
>>>         at java.util.jar.JarFile.<init>(Unknown Source)
>> Oh - or could the spaces in the path trigger that problem?
>> You could try to put ditaa.jar to 
>>    C:\ditaa.jar
>> and retry.
>> That would move the error to Org-mode.
> I did this, and now I get:
> C:\>java -jar ditaa.jar --help
> Exception in thread "main" java.lang.UnsupportedClassVersionError: 
> org/stathissi
> deris/ascii2image/core/CommandLineConverter (Unsupported major.minor version 
> 49.
> 0)
>         at java.lang.ClassLoader.defineClass0(Native Method)
>         at java.lang.ClassLoader.defineClass(Unknown Source)
>         at java.security.SecureClassLoader.defineClass(Unknown Source)
>         at java.net.URLClassLoader.defineClass(Unknown Source)
>         at java.net.URLClassLoader.access$100(Unknown Source)
>         at java.net.URLClassLoader$1.run(Unknown Source)
>         at java.security.AccessController.doPrivileged(Native Method)
>         at java.net.URLClassLoader.findClass(Unknown Source)
>         at java.lang.ClassLoader.loadClass(Unknown Source)
>         at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
>         at java.lang.ClassLoader.loadClass(Unknown Source)
>         at java.lang.ClassLoader.loadClassInternal(Unknown Source)

I guess you're still using Java 1.4 and some of the current ditaa
components require at least java 5 (v. 1.5....).

> And neither java.util.zip nor java.util.jar exist on my system, although

java.util and java.zip live in rt.jar as most important packages do.

> I've just re-installed the Java Runtime Environment jre1.6.0_07.

Which is what I use here (java version "1.6.0_21")

But I guess

   java -version

will show an elder version.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]